function HttpSocket(address) {
  this.socket = new XMLHttpRequest();
  this.sendRequest = function(observer) {
    var self = this;
    this.socket.onreadystatechange = function() {
      if (self.socket && self.socket.readyState == 4) {
        try {
          observer.onHttpDataAvailable(self.socket.status);
        }
        catch (e) {
          loginFailed("err_noData");
        }
      }
    }
    this.socket.send(null);
  }
  this.getHeader = function(header) {
    return this.socket.getResponseHeader(header);
  }
  this.setHeader = function(header, headerValue) {
    this.socket.setRequestHeader(header, headerValue);
  }
  this.close = function() {
    delete this.socket;
  }
  this.socket.open("GET", address);
}